Error

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET
POST
POST
POST
GET
POST
GET
PATCH
DELETE
GET
GET
PATCH
GET
PATCH
GET
GET
GET
DELETE
POST

List all environments error tracking recommendations

Required API key scopes

error_tracking:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:environment_id/error_tracking/recommendations
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/recommendations/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": null,
"completed": true,
"status": "string",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
]
}

Create environments error tracking recommendations dismiss

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Response


Example request

POST /api/environments/:environment_id/error_tracking/recommendations/:id/dismiss
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/recommendations/:id/dismiss/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": null,
"completed": true,
"status": "string",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create environments error tracking recommendations refresh

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Response


Example request

POST /api/environments/:environment_id/error_tracking/recommendations/:id/refresh
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/recommendations/:id/refresh/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": null,
"completed": true,
"status": "string",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

Create environments error tracking recommendations restore

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Response


Example request

POST /api/environments/:environment_id/error_tracking/recommendations/:id/restore
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/recommendations/:id/restore/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"type": "string",
"meta": null,
"completed": true,
"status": "string",
"computed_at": "2019-08-24T14:15:22Z",
"dismissed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}

List all environments error tracking releases

Required API key scopes

error_tracking:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:environment_id/error_tracking/releases
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/releases/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"hash_id": "string",
"team_id": 0,
"created_at": "2019-08-24T14:15:22Z",
"metadata": {},
"version": "string",
"project": "string"
}
]
}

Create environments error tracking releases

Required API key scopes

error_tracking:write

Request parameters

  • version
    string
  • project
    string
  • hash_id
    stringnull
  • metadata
    objectnull

Response


Example request

POST /api/environments/:environment_id/error_tracking/releases
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/releases/\
-d version="string",\
-d project="string"

Example response

Status 201
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"hash_id": "string",
"team_id": 0,
"created_at": "2019-08-24T14:15:22Z",
"metadata": {},
"version": "string",
"project": "string"
}

Retrieve environments error tracking releases

Required API key scopes

error_tracking:read

Path parameters

  • id
    string

Response


Example request

GET /api/environments/:environment_id/error_tracking/releases/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/releases/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"hash_id": "string",
"team_id": 0,
"created_at": "2019-08-24T14:15:22Z",
"metadata": {},
"version": "string",
"project": "string"
}

Update environments error tracking releases

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Request parameters

  • version
    stringnull
  • project
    stringnull
  • hash_id
    stringnull
  • metadata
    objectnull

Example request

PATCH /api/environments/:environment_id/error_tracking/releases/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/releases/:id/\
-d version=["string","null"]

Example response

Status 204 No response body

Delete environments error tracking releases

Required API key scopes

error_tracking:write

Path parameters

  • id
    string

Example request

DELETE /api/environments/:environment_id/error_tracking/releases/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/releases/:id/

Example response

Status 204 No response body

Retrieve environments error tracking releases hash

Required API key scopes

error_tracking:read

Path parameters

  • hash_id
    string

Example request

GET /api/environments/:environment_id/error_tracking/releases/hash/:hash_id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/releases/hash/:hash_id/

Example response

Status 200 No response body

Retrieve environments error tracking settings retrieve settings

Required API key scopes

error_tracking:read

Response


Example request

GET /api/environments/:environment_id/error_tracking/settings/retrieve_settings
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/settings/retrieve_settings/

Example response

Status 200
RESPONSE
{
"project_rate_limit_value": 1,
"project_rate_limit_bucket_size_minutes": 1,
"per_issue_rate_limit_value": 1,
"per_issue_rate_limit_bucket_size_minutes": 1
}

Update environments error tracking settings update settings

Required API key scopes

error_tracking:write

Request parameters

  • project_rate_limit_value
    integernull
  • project_rate_limit_bucket_size_minutes
    integernull
  • per_issue_rate_limit_value
    integernull
  • per_issue_rate_limit_bucket_size_minutes
    integernull

Response


Example request

PATCH /api/environments/:environment_id/error_tracking/settings/update_settings
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/settings/update_settings/\
-d project_rate_limit_value=["integer","null"]

Example response

Status 200
RESPONSE
{
"project_rate_limit_value": 1,
"project_rate_limit_bucket_size_minutes": 1,
"per_issue_rate_limit_value": 1,
"per_issue_rate_limit_bucket_size_minutes": 1
}

List all environments error tracking spike detection config

Required API key scopes

error_tracking:read

Example request

GET /api/environments/:environment_id/error_tracking/spike_detection_config
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/spike_detection_config/

Example response

Status 200
RESPONSE
{
"snooze_duration_minutes": 1,
"multiplier": 1,
"threshold": 1
}

Update environments error tracking spike detection config update config

Request parameters

  • snooze_duration_minutes
    integer
  • multiplier
    integer
  • threshold
    integer

Response


Example request

PATCH /api/environments/:environment_id/error_tracking/spike_detection_config/update_config
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X PATCH \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/spike_detection_config/update_config/\
-d snooze_duration_minutes="integer"

Example response

Status 200
RESPONSE
{
"snooze_duration_minutes": 1,
"multiplier": 1,
"threshold": 1
}

List all environments error tracking spike events

Required API key scopes

error_tracking:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:environment_id/error_tracking/spike_events
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/spike_events/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"issue": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string"
},
"detected_at": "2019-08-24T14:15:22Z",
"computed_baseline": 0.1,
"current_bucket_value": 0
}
]
}

List all environments error tracking stack frames

Required API key scopes

error_tracking:read

Query parameters

  • limit
    integer
  • offset
    integer

Response


Example request

GET /api/environments/:environment_id/error_tracking/stack_frames
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/stack_frames/

Example response

Status 200
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"raw_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"contents": {},
"resolved": true,
"context": {},
"symbol_set_ref": "string",
"release": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"hash_id": "string",
"team_id": 0,
"created_at": "2019-08-24T14:15:22Z",
"metadata": {},
"version": "string",
"project": "string"
}
}
]
}

Retrieve environments error tracking stack frames

Required API key scopes

error_tracking:read

Path parameters

  • id
    string

Response


Example request

GET /api/environments/:environment_id/error_tracking/stack_frames/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/stack_frames/:id/

Example response

Status 200
RESPONSE
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"raw_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"contents": {},
"resolved": true,
"context": {},
"symbol_set_ref": "string",
"release": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"hash_id": "string",
"team_id": 0,
"created_at": "2019-08-24T14:15:22Z",
"metadata": {},
"version": "string",
"project": "string"
}
}

Delete environments error tracking stack frames

Hard delete of this model is not allowed. Use a patch API call to set "deleted" to true

Path parameters

  • id
    string

Example request

DELETE /api/environments/:environment_id/error_tracking/stack_frames/:id
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl -X DELETE \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/stack_frames/:id/

Example response

Status 405 No response body

Create environments error tracking stack frames batch get

Required API key scopes

error_tracking:read

Request parameters

  • raw_ids
    array
  • symbol_set
    stringnull

Response


Example request

POST /api/environments/:environment_id/error_tracking/stack_frames/batch_get
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl
-H 'Content-Type: application/json'\
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/environments/:environment_id/error_tracking/stack_frames/batch_get/\
-d raw_ids="array"

Example response

Status 200
RESPONSE
{
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"raw_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"contents": {},
"resolved": true,
"context": {},
"symbol_set_ref": "string",
"release": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"hash_id": "string",
"team_id": 0,
"created_at": "2019-08-24T14:15:22Z",
"metadata": {},
"version": "string",
"project": "string"
}
}
]
}

Community questions

Questions about this page? or post a community question.